%define name spirit
%define version 1.5.1
%define release 2mdk

Name: %{name}
Summary: Object oriented recursive descent parser generator framework.
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
URL: http://prdownloads.sourceforge.net/spirit/
Group: Development/C++
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
License: MIT-like

%description 
Spirit is an object oriented recursive descent parser
generator framework implemented using template meta-programming
techniques. Expression templates allow us to approximate the syntax of
Extended Backus Normal Form (EBNF) completely in C++. Parser objects
are composed through operator overloading and the result is a
backtracking LL(inf) parser that is capable of parsing rather
ambiguous grammars.

The Spirit framework enables a target grammar to be written
exclusively in C++. Inline EBNF grammar specifications can mix freely
with other C++ code and, thanks to the generative power of C++
templates, are immediately executable. In retrospect, conventional
compiler-compilers or parser-generators have to perform an additional
translation step from the source EBNF code to C or C++ code.

%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
%configure

%install
%makeinstall

mv $RPM_BUILD_ROOT%{_includedir}/spirit $RPM_BUILD_ROOT%{_includedir}/spirit-%{version}

# remove uninstalled files
rm -rf $RPM_BUILD_ROOT/%_prefix/libs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README libs/*
%_includedir/%name-%{version}/
%_libdir/pkgconfig/*

%changelog
* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-2mdk
- rebuild

* Wed Dec 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-1mdk
- from Wesley J. Landaker <landaker@ieee.org> :
	- Made spec file so spirit can be used in an RPM.
